// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/bk-nat.c_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "bk-nat.c_000_norange.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    _Bool state_0;
    _Bool state_1;
    _Bool state_2;
    _Bool state_3;
    _Bool state_4;
    _Bool state_5;
    int state_6;
    int state_7;
    int state_8;
    int state_9;
    _Bool A_0;
    _Bool B_0;
    _Bool C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    _Bool H_0;
    _Bool I_0;
    _Bool J_0;
    _Bool A_1;
    _Bool B_1;
    _Bool C_1;
    _Bool D_1;
    _Bool E_1;
    _Bool F_1;
    _Bool G_1;
    _Bool H_1;
    _Bool I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    _Bool S_1;
    _Bool T_1;
    _Bool U_1;
    _Bool A_2;
    _Bool B_2;
    _Bool C_2;
    int D_2;
    int E_2;
    int F_2;
    int G_2;
    _Bool H_2;
    _Bool I_2;
    _Bool J_2;



    // main logic
    goto main_init;

  main_init:
    if (!(B_0 && (!A_0) && (!J_0) && (!I_0) && (!H_0) && (!C_0)))
        abort ();
    state_0 = A_0;
    state_1 = B_0;
    state_2 = C_0;
    state_3 = J_0;
    state_4 = H_0;
    state_5 = I_0;
    state_6 = D_0;
    state_7 = E_0;
    state_8 = F_0;
    state_9 = G_0;
    D_1 = __VERIFIER_nondet__Bool ();
    E_1 = __VERIFIER_nondet__Bool ();
    F_1 = __VERIFIER_nondet__Bool ();
    G_1 = __VERIFIER_nondet__Bool ();
    H_1 = __VERIFIER_nondet__Bool ();
    I_1 = __VERIFIER_nondet__Bool ();
    J_1 = __VERIFIER_nondet_int ();
    L_1 = __VERIFIER_nondet_int ();
    N_1 = __VERIFIER_nondet_int ();
    P_1 = __VERIFIER_nondet_int ();
    R_1 = __VERIFIER_nondet_int ();
    A_1 = state_0;
    B_1 = state_1;
    C_1 = state_2;
    U_1 = state_3;
    S_1 = state_4;
    T_1 = state_5;
    K_1 = state_6;
    M_1 = state_7;
    O_1 = state_8;
    Q_1 = state_9;
    if (!
        ((A_1 || S_1 || U_1 || (!T_1) || (!C_1) || (!B_1) || (0 <= K_1)
          || (I_1 && H_1 && G_1 && F_1 && (!E_1) && (!D_1) && (K_1 == J_1)
              && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (S_1 || U_1
                                                                    || (!T_1)
                                                                    || (!C_1)
                                                                    || (!A_1)
                                                                    || (!B_1)
                                                                    || (0 <=
                                                                        O_1)
                                                                    || (I_1
                                                                        && H_1
                                                                        && G_1
                                                                        &&
                                                                        (!F_1)
                                                                        && E_1
                                                                        &&
                                                                        (!D_1)
                                                                        &&
                                                                        (K_1
                                                                         ==
                                                                         J_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)))
         && (A_1 || C_1 || S_1 || (!T_1) || (!U_1) || (!B_1)
             || (1 <= (K_1 + M_1 + O_1)) || (I_1 && H_1 && G_1 && (!F_1)
                                             && (!E_1) && (!D_1)
                                             && (K_1 == J_1) && (M_1 == L_1)
                                             && (O_1 == N_1) && (Q_1 == P_1)))
         && (A_1 || C_1 || S_1 || (!T_1) || (!U_1) || (!B_1)
             || (!(1 <= (K_1 + M_1 + O_1))) || (I_1 && H_1 && (!G_1) && F_1
                                                && (!E_1) && (!D_1)
                                                && (K_1 == J_1)
                                                && (M_1 == L_1)
                                                && (O_1 == N_1)
                                                && (Q_1 == P_1))) && (S_1
                                                                      || U_1
                                                                      ||
                                                                      (!T_1)
                                                                      ||
                                                                      (!C_1)
                                                                      ||
                                                                      (!A_1)
                                                                      ||
                                                                      (!B_1)
                                                                      ||
                                                                      (!(0 <=
                                                                         O_1))
                                                                      || (I_1
                                                                          &&
                                                                          H_1
                                                                          &&
                                                                          (!G_1)
                                                                          &&
                                                                          (!F_1)
                                                                          &&
                                                                          (!E_1)
                                                                          &&
                                                                          (!D_1)
                                                                          &&
                                                                          (K_1
                                                                           ==
                                                                           J_1)
                                                                          &&
                                                                          (M_1
                                                                           ==
                                                                           L_1)
                                                                          &&
                                                                          (O_1
                                                                           ==
                                                                           N_1)
                                                                          &&
                                                                          (Q_1
                                                                           ==
                                                                           P_1)))
         && (A_1 || S_1 || U_1 || (!T_1) || (!C_1) || (!B_1) || (!(0 <= K_1))
             || (I_1 && (!H_1) && G_1 && F_1 && (!E_1) && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (C_1 || S_1 || U_1 || (!T_1) || (!A_1)
                                       || (!B_1) || (!(0 <= Q_1)) || (I_1
                                                                      &&
                                                                      (!H_1)
                                                                      && G_1
                                                                      &&
                                                                      (!F_1)
                                                                      &&
                                                                      (!E_1)
                                                                      &&
                                                                      (!D_1)
                                                                      && (K_1
                                                                          ==
                                                                          J_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)))
         && (A_1 || C_1 || S_1 || U_1 || (!T_1) || (!B_1) || (!(0 <= M_1))
             || (I_1 && (!H_1) && (!G_1) && F_1 && (!E_1) && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || (!U_1)
                                       || (!B_1) || (R_1 == 0) || (I_1
                                                                   && (!H_1)
                                                                   && (!G_1)
                                                                   && (!F_1)
                                                                   && E_1
                                                                   && (!D_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (A_1 || C_1 || S_1 || U_1 || (!T_1) || (!B_1) || (0 <= M_1)
             || (I_1 && (!H_1) && (!G_1) && (!F_1) && (!E_1) && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (C_1 || S_1 || T_1 || (!U_1) || (!A_1)
                                       || (!B_1) || (!(1 <= O_1)) || ((!I_1)
                                                                      && H_1
                                                                      && G_1
                                                                      &&
                                                                      (!F_1)
                                                                      && E_1
                                                                      &&
                                                                      (!D_1)
                                                                      && (K_1
                                                                          ==
                                                                          J_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)))
         && (B_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!A_1) || (!(1 <= O_1))
             || ((!I_1) && H_1 && G_1 && (!F_1) && (!E_1) && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (C_1 || S_1 || T_1 || (!U_1) || (!A_1)
                                       || (!B_1) || (1 <= O_1) || ((!I_1)
                                                                   && H_1
                                                                   && G_1
                                                                   && (!F_1)
                                                                   && (!E_1)
                                                                   && (!D_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (B_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!A_1) || (1 <= O_1)
             || ((!I_1) && H_1 && (!G_1) && F_1 && E_1 && D_1 && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1
                                                                       || C_1
                                                                       || S_1
                                                                       || T_1
                                                                       ||
                                                                       (!U_1)
                                                                       ||
                                                                       (!A_1)
                                                                       ||
                                                                       (!(R_1
                                                                          ==
                                                                          0))
                                                                       ||
                                                                       ((!I_1)
                                                                        && H_1
                                                                        &&
                                                                        (!G_1)
                                                                        && F_1
                                                                        && E_1
                                                                        &&
                                                                        (!D_1)
                                                                        &&
                                                                        (K_1
                                                                         ==
                                                                         J_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)))
         && (B_1 || C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (R_1 == 0)
             || ((!I_1) && H_1 && (!G_1) && F_1 && (!E_1) && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || (!U_1)
                                       || (!B_1) || (!(R_1 == 0)) || ((!I_1)
                                                                      && H_1
                                                                      &&
                                                                      (!G_1)
                                                                      && F_1
                                                                      &&
                                                                      (!E_1)
                                                                      &&
                                                                      (!D_1)
                                                                      && (K_1
                                                                          ==
                                                                          J_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)))
         && (S_1 || T_1 || U_1 || (!C_1) || (!A_1) || (!B_1) || (!(1 <= O_1))
             || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (S_1 || T_1 || U_1 || (!C_1) || (!A_1)
                                       || (!B_1) || (1 <= O_1) || ((!I_1)
                                                                   && H_1
                                                                   && (!G_1)
                                                                   && (!F_1)
                                                                   && (!E_1)
                                                                   && (!D_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (A_1 || S_1 || T_1 || U_1 || (!C_1) || (!B_1) || (!(K_1 == 0))
             || ((!I_1) && (!H_1) && G_1 && F_1 && E_1 && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || S_1 || T_1 || U_1 || (!C_1)
                                       || (!B_1) || (K_1 == 0) || ((!I_1)
                                                                   && (!H_1)
                                                                   && G_1
                                                                   && F_1
                                                                   && (!E_1)
                                                                   && (!D_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!B_1)
             || (!(1 <= (K_1 + Q_1))) || ((!I_1) && (!H_1) && G_1 && (!F_1)
                                          && E_1 && D_1 && (K_1 == J_1)
                                          && (M_1 == L_1) && (O_1 == N_1)
                                          && (Q_1 == P_1))) && (C_1 || S_1
                                                                || T_1 || U_1
                                                                || (!A_1)
                                                                || (!B_1)
                                                                ||
                                                                (!(Q_1 == 0))
                                                                || ((!I_1)
                                                                    && (!H_1)
                                                                    && G_1
                                                                    && (!F_1)
                                                                    && E_1
                                                                    && (!D_1)
                                                                    && (K_1 ==
                                                                        J_1)
                                                                    && (M_1 ==
                                                                        L_1)
                                                                    && (O_1 ==
                                                                        N_1)
                                                                    && (Q_1 ==
                                                                        P_1)))
         && (C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!B_1)
             || (1 <= (K_1 + Q_1)) || ((!I_1) && (!H_1) && G_1 && (!F_1)
                                       && (!E_1) && D_1 && (K_1 == J_1)
                                       && (M_1 == L_1) && (O_1 == N_1)
                                       && (Q_1 == P_1))) && (C_1 || S_1 || T_1
                                                             || U_1 || (!A_1)
                                                             || (!B_1)
                                                             || (Q_1 == 0)
                                                             || ((!I_1)
                                                                 && (!H_1)
                                                                 && G_1
                                                                 && (!F_1)
                                                                 && (!E_1)
                                                                 && (!D_1)
                                                                 && (K_1 ==
                                                                     J_1)
                                                                 && (M_1 ==
                                                                     L_1)
                                                                 && (O_1 ==
                                                                     N_1)
                                                                 && (Q_1 ==
                                                                     P_1)))
         && (B_1 || C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!(R_1 == 0))
             || ((!I_1) && (!H_1) && (!G_1) && F_1 && E_1 && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || U_1
                                       || (!B_1) || (!(M_1 == 0)) || ((!I_1)
                                                                      &&
                                                                      (!H_1)
                                                                      &&
                                                                      (!G_1)
                                                                      && F_1
                                                                      && E_1
                                                                      &&
                                                                      (!D_1)
                                                                      && (K_1
                                                                          ==
                                                                          J_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)))
         && (B_1 || C_1 || S_1 || T_1 || (!U_1) || (!A_1) || (R_1 == 0)
             || ((!I_1) && (!H_1) && (!G_1) && F_1 && (!E_1) && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || U_1
                                       || (!B_1) || (M_1 == 0) || ((!I_1)
                                                                   && (!H_1)
                                                                   && (!G_1)
                                                                   && F_1
                                                                   && (!E_1)
                                                                   && (!D_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (A_1 || B_1 || C_1 || T_1 || U_1 || (!S_1)
             || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && E_1 && D_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && ((K_1 + (-1 * J_1)) == -1))) && (B_1 || T_1 || U_1
                                                     || (!S_1) || (!C_1)
                                                     || (!A_1) || ((!I_1)
                                                                   && (!H_1)
                                                                   && G_1
                                                                   && F_1
                                                                   && E_1
                                                                   && D_1
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)
                                                                   &&
                                                                   ((M_1 +
                                                                     (-1 *
                                                                      L_1)) ==
                                                                    -1)))
         && (T_1 || (!S_1) || (!U_1) || (!C_1) || (!A_1) || (!B_1)
             || (I_1 && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (Q_1 == P_1)
                 && ((K_1 + M_1 + O_1 + (-1 * N_1) + Q_1) == 1))) && (A_1
                                                                      || T_1
                                                                      || U_1
                                                                      ||
                                                                      (!S_1)
                                                                      ||
                                                                      (!C_1)
                                                                      ||
                                                                      (!B_1)
                                                                      ||
                                                                      ((!I_1)
                                                                       &&
                                                                       (!H_1)
                                                                       && G_1
                                                                       && F_1
                                                                       &&
                                                                       (!E_1)
                                                                       && D_1
                                                                       && (K_1
                                                                           ==
                                                                           J_1)
                                                                       && (M_1
                                                                           ==
                                                                           L_1)
                                                                       && (Q_1
                                                                           ==
                                                                           P_1)
                                                                       &&
                                                                       ((K_1 +
                                                                         O_1 +
                                                                         (-1 *
                                                                          N_1)
                                                                         +
                                                                         Q_1)
                                                                        ==
                                                                        1)))
         && (S_1 || T_1 || (!U_1) || (!C_1) || (!A_1) || (!B_1)
             || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && D_1
                 && (K_1 == J_1) && (M_1 == L_1) && (Q_1 == P_1)
                 && ((O_1 + (-1 * N_1)) == 1))) && (A_1 || S_1 || T_1
                                                    || (!U_1) || (!C_1)
                                                    || (!B_1) || ((!I_1)
                                                                  && H_1
                                                                  && G_1
                                                                  && F_1
                                                                  && (!E_1)
                                                                  && (!D_1)
                                                                  && (K_1 ==
                                                                      J_1)
                                                                  && (M_1 ==
                                                                      L_1)
                                                                  && (O_1 ==
                                                                      N_1)
                                                                  &&
                                                                  ((M_1 +
                                                                    Q_1 +
                                                                    (-1 *
                                                                     P_1)) ==
                                                                   0)))
         && (S_1 || (!T_1) || (!U_1) || (!C_1) || (!A_1) || (!B_1)
             || (I_1 && H_1 && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1
                                                                       || S_1
                                                                       ||
                                                                       (!T_1)
                                                                       ||
                                                                       (!U_1)
                                                                       ||
                                                                       (!C_1)
                                                                       ||
                                                                       (!A_1)
                                                                       || (I_1
                                                                           &&
                                                                           H_1
                                                                           &&
                                                                           G_1
                                                                           &&
                                                                           F_1
                                                                           &&
                                                                           (!E_1)
                                                                           &&
                                                                           (!D_1)
                                                                           &&
                                                                           (K_1
                                                                            ==
                                                                            J_1)
                                                                           &&
                                                                           (M_1
                                                                            ==
                                                                            L_1)
                                                                           &&
                                                                           (O_1
                                                                            ==
                                                                            N_1)
                                                                           &&
                                                                           (Q_1
                                                                            ==
                                                                            P_1)))
         && (A_1 || S_1 || (!T_1) || (!U_1) || (!C_1) || (!B_1)
             || (I_1 && H_1 && G_1 && (!F_1) && E_1 && (!D_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1
                                                                       || B_1
                                                                       || S_1
                                                                       ||
                                                                       (!T_1)
                                                                       ||
                                                                       (!U_1)
                                                                       ||
                                                                       (!C_1)
                                                                       || (I_1
                                                                           &&
                                                                           H_1
                                                                           &&
                                                                           G_1
                                                                           &&
                                                                           (!F_1)
                                                                           &&
                                                                           (!E_1)
                                                                           &&
                                                                           (!D_1)
                                                                           &&
                                                                           (K_1
                                                                            ==
                                                                            J_1)
                                                                           &&
                                                                           (M_1
                                                                            ==
                                                                            L_1)
                                                                           &&
                                                                           (O_1
                                                                            ==
                                                                            N_1)
                                                                           &&
                                                                           (Q_1
                                                                            ==
                                                                            P_1)))
         && (B_1 || C_1 || S_1 || (!T_1) || (!U_1) || (!A_1)
             || (I_1 && H_1 && (!G_1) && F_1 && E_1 && (!D_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1
                                                                       || B_1
                                                                       || C_1
                                                                       || S_1
                                                                       ||
                                                                       (!T_1)
                                                                       ||
                                                                       (!U_1)
                                                                       || (I_1
                                                                           &&
                                                                           H_1
                                                                           &&
                                                                           (!G_1)
                                                                           &&
                                                                           (!F_1)
                                                                           &&
                                                                           E_1
                                                                           &&
                                                                           (!D_1)
                                                                           &&
                                                                           (K_1
                                                                            ==
                                                                            J_1)
                                                                           &&
                                                                           (M_1
                                                                            ==
                                                                            L_1)
                                                                           &&
                                                                           (O_1
                                                                            ==
                                                                            N_1)
                                                                           &&
                                                                           (Q_1
                                                                            ==
                                                                            P_1)))
         && (B_1 || S_1 || U_1 || (!T_1) || (!C_1) || (!A_1)
             || (I_1 && (!H_1) && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1
                                                                       || B_1
                                                                       || S_1
                                                                       || U_1
                                                                       ||
                                                                       (!T_1)
                                                                       ||
                                                                       (!C_1)
                                                                       || (I_1
                                                                           &&
                                                                           (!H_1)
                                                                           &&
                                                                           G_1
                                                                           &&
                                                                           (!F_1)
                                                                           &&
                                                                           E_1
                                                                           &&
                                                                           (!D_1)
                                                                           &&
                                                                           (K_1
                                                                            ==
                                                                            J_1)
                                                                           &&
                                                                           (M_1
                                                                            ==
                                                                            L_1)
                                                                           &&
                                                                           (O_1
                                                                            ==
                                                                            N_1)
                                                                           &&
                                                                           (Q_1
                                                                            ==
                                                                            P_1)))
         && (B_1 || C_1 || S_1 || U_1 || (!T_1) || (!A_1)
             || (I_1 && (!H_1) && (!G_1) && F_1 && E_1 && (!D_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || U_1 || (!T_1)
                                       || (!S_1) || (I_1 && (!H_1) && (!G_1)
                                                     && (!F_1) && (!E_1)
                                                     && D_1 && (K_1 == J_1)
                                                     && (M_1 == L_1)
                                                     && (O_1 == N_1)
                                                     && (Q_1 == P_1))) && (A_1
                                                                           ||
                                                                           B_1
                                                                           ||
                                                                           C_1
                                                                           ||
                                                                           S_1
                                                                           ||
                                                                           U_1
                                                                           ||
                                                                           (!T_1)
                                                                           ||
                                                                           ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || T_1 || U_1 || (!S_1) || (!B_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || T_1 || U_1 || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || T_1 || (!U_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || T_1 || U_1 || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || T_1 || (!U_1) || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || T_1 || U_1 || (!S_1) || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || T_1 || U_1 || (!A_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || T_1 || U_1 || (!C_1) || (!A_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || S_1 || (!T_1) || (!U_1) || (!A_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || T_1 || (!S_1) || (!U_1) || (!A_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || ((!I_1) && H_1 && G_1 && (!F_1) && E_1 && D_1 && (J_1 == 0) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (T_1 || U_1 || (!S_1) || (!C_1) || (!A_1) || (!B_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && (!E_1) && D_1 && (J_1 == 0) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || (!A_1) || ((!I_1) && H_1 && G_1 && F_1 && E_1 && D_1 && (L_1 == 1) && (K_1 == J_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || T_1 || (!U_1) || (!C_1) || (!A_1) || ((!I_1) && H_1 && G_1 && F_1 && E_1 && (!D_1) && (L_1 == 0) && (K_1 == J_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || (!B_1) || ((!I_1) && H_1 && G_1 && F_1 && (!E_1) && D_1 && (P_1 == 0) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1))) && (A_1 || B_1 || C_1 || T_1 || (!S_1) || (!U_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && D_1 && (P_1 == 0) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1))) && (C_1 || S_1 || U_1 || (!T_1) || (!A_1) || (!B_1) || (0 <= Q_1) || (I_1 && H_1 && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)))))
        abort ();
    state_0 = F_1;
    state_1 = E_1;
    state_2 = G_1;
    state_3 = H_1;
    state_4 = D_1;
    state_5 = I_1;
    state_6 = J_1;
    state_7 = L_1;
    state_8 = N_1;
    state_9 = P_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          A_2 = state_0;
          B_2 = state_1;
          C_2 = state_2;
          J_2 = state_3;
          H_2 = state_4;
          I_2 = state_5;
          D_2 = state_6;
          E_2 = state_7;
          F_2 = state_8;
          G_2 = state_9;
          if (!
              (((!H_2) && I_2 && J_2 && (!A_2) && (!B_2) && C_2)
               || ((!H_2) && I_2 && J_2 && (!A_2) && B_2 && C_2) || ((!H_2)
                                                                     && I_2
                                                                     && J_2
                                                                     && A_2
                                                                     && (!B_2)
                                                                     && C_2)
               || ((!H_2) && I_2 && J_2 && A_2 && B_2 && C_2) || (H_2 && I_2
                                                                  && (!J_2)
                                                                  && (!A_2)
                                                                  && (!B_2)
                                                                  && (!C_2))))
              abort ();
          goto main_error;

      case 1:
          D_1 = __VERIFIER_nondet__Bool ();
          E_1 = __VERIFIER_nondet__Bool ();
          F_1 = __VERIFIER_nondet__Bool ();
          G_1 = __VERIFIER_nondet__Bool ();
          H_1 = __VERIFIER_nondet__Bool ();
          I_1 = __VERIFIER_nondet__Bool ();
          J_1 = __VERIFIER_nondet_int ();
          L_1 = __VERIFIER_nondet_int ();
          N_1 = __VERIFIER_nondet_int ();
          P_1 = __VERIFIER_nondet_int ();
          R_1 = __VERIFIER_nondet_int ();
          A_1 = state_0;
          B_1 = state_1;
          C_1 = state_2;
          U_1 = state_3;
          S_1 = state_4;
          T_1 = state_5;
          K_1 = state_6;
          M_1 = state_7;
          O_1 = state_8;
          Q_1 = state_9;
          if (!
              ((A_1 || S_1 || U_1 || (!T_1) || (!C_1) || (!B_1) || (0 <= K_1)
                || (I_1 && H_1 && G_1 && F_1 && (!E_1) && (!D_1)
                    && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                    && (Q_1 == P_1))) && (S_1 || U_1 || (!T_1) || (!C_1)
                                          || (!A_1) || (!B_1) || (0 <= O_1)
                                          || (I_1 && H_1 && G_1 && (!F_1)
                                              && E_1 && (!D_1) && (K_1 == J_1)
                                              && (M_1 == L_1) && (O_1 == N_1)
                                              && (Q_1 == P_1))) && (A_1 || C_1
                                                                    || S_1
                                                                    || (!T_1)
                                                                    || (!U_1)
                                                                    || (!B_1)
                                                                    || (1 <=
                                                                        (K_1 +
                                                                         M_1 +
                                                                         O_1))
                                                                    || (I_1
                                                                        && H_1
                                                                        && G_1
                                                                        &&
                                                                        (!F_1)
                                                                        &&
                                                                        (!E_1)
                                                                        &&
                                                                        (!D_1)
                                                                        &&
                                                                        (K_1
                                                                         ==
                                                                         J_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)))
               && (A_1 || C_1 || S_1 || (!T_1) || (!U_1) || (!B_1)
                   || (!(1 <= (K_1 + M_1 + O_1))) || (I_1 && H_1 && (!G_1)
                                                      && F_1 && (!E_1)
                                                      && (!D_1)
                                                      && (K_1 == J_1)
                                                      && (M_1 == L_1)
                                                      && (O_1 == N_1)
                                                      && (Q_1 == P_1)))
               && (S_1 || U_1 || (!T_1) || (!C_1) || (!A_1) || (!B_1)
                   || (!(0 <= O_1)) || (I_1 && H_1 && (!G_1) && (!F_1)
                                        && (!E_1) && (!D_1) && (K_1 == J_1)
                                        && (M_1 == L_1) && (O_1 == N_1)
                                        && (Q_1 == P_1))) && (A_1 || S_1
                                                              || U_1 || (!T_1)
                                                              || (!C_1)
                                                              || (!B_1)
                                                              || (!(0 <= K_1))
                                                              || (I_1
                                                                  && (!H_1)
                                                                  && G_1
                                                                  && F_1
                                                                  && (!E_1)
                                                                  && (!D_1)
                                                                  && (K_1 ==
                                                                      J_1)
                                                                  && (M_1 ==
                                                                      L_1)
                                                                  && (O_1 ==
                                                                      N_1)
                                                                  && (Q_1 ==
                                                                      P_1)))
               && (C_1 || S_1 || U_1 || (!T_1) || (!A_1) || (!B_1)
                   || (!(0 <= Q_1)) || (I_1 && (!H_1) && G_1 && (!F_1)
                                        && (!E_1) && (!D_1) && (K_1 == J_1)
                                        && (M_1 == L_1) && (O_1 == N_1)
                                        && (Q_1 == P_1))) && (A_1 || C_1
                                                              || S_1 || U_1
                                                              || (!T_1)
                                                              || (!B_1)
                                                              || (!(0 <= M_1))
                                                              || (I_1
                                                                  && (!H_1)
                                                                  && (!G_1)
                                                                  && F_1
                                                                  && (!E_1)
                                                                  && (!D_1)
                                                                  && (K_1 ==
                                                                      J_1)
                                                                  && (M_1 ==
                                                                      L_1)
                                                                  && (O_1 ==
                                                                      N_1)
                                                                  && (Q_1 ==
                                                                      P_1)))
               && (A_1 || C_1 || S_1 || T_1 || (!U_1) || (!B_1) || (R_1 == 0)
                   || (I_1 && (!H_1) && (!G_1) && (!F_1) && E_1 && (!D_1)
                       && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                       && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || U_1
                                             || (!T_1) || (!B_1) || (0 <= M_1)
                                             || (I_1 && (!H_1) && (!G_1)
                                                 && (!F_1) && (!E_1) && D_1
                                                 && (K_1 == J_1)
                                                 && (M_1 == L_1)
                                                 && (O_1 == N_1)
                                                 && (Q_1 == P_1))) && (C_1
                                                                       || S_1
                                                                       || T_1
                                                                       ||
                                                                       (!U_1)
                                                                       ||
                                                                       (!A_1)
                                                                       ||
                                                                       (!B_1)
                                                                       ||
                                                                       (!(1 <=
                                                                          O_1))
                                                                       ||
                                                                       ((!I_1)
                                                                        && H_1
                                                                        && G_1
                                                                        &&
                                                                        (!F_1)
                                                                        && E_1
                                                                        &&
                                                                        (!D_1)
                                                                        &&
                                                                        (K_1
                                                                         ==
                                                                         J_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)))
               && (B_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!A_1)
                   || (!(1 <= O_1)) || ((!I_1) && H_1 && G_1 && (!F_1)
                                        && (!E_1) && D_1 && (K_1 == J_1)
                                        && (M_1 == L_1) && (O_1 == N_1)
                                        && (Q_1 == P_1))) && (C_1 || S_1
                                                              || T_1 || (!U_1)
                                                              || (!A_1)
                                                              || (!B_1)
                                                              || (1 <= O_1)
                                                              || ((!I_1)
                                                                  && H_1
                                                                  && G_1
                                                                  && (!F_1)
                                                                  && (!E_1)
                                                                  && (!D_1)
                                                                  && (K_1 ==
                                                                      J_1)
                                                                  && (M_1 ==
                                                                      L_1)
                                                                  && (O_1 ==
                                                                      N_1)
                                                                  && (Q_1 ==
                                                                      P_1)))
               && (B_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!A_1)
                   || (1 <= O_1) || ((!I_1) && H_1 && (!G_1) && F_1 && E_1
                                     && D_1 && (K_1 == J_1) && (M_1 == L_1)
                                     && (O_1 == N_1) && (Q_1 == P_1))) && (B_1
                                                                           ||
                                                                           C_1
                                                                           ||
                                                                           S_1
                                                                           ||
                                                                           T_1
                                                                           ||
                                                                           (!U_1)
                                                                           ||
                                                                           (!A_1)
                                                                           ||
                                                                           (!
                                                                            (R_1
                                                                             ==
                                                                             0))
                                                                           ||
                                                                           ((!I_1) && H_1 && (!G_1) && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (R_1 == 0) || ((!I_1) && H_1 && (!G_1) && F_1 && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || (!U_1) || (!B_1) || (!(R_1 == 0)) || ((!I_1) && H_1 && (!G_1) && F_1 && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (S_1 || T_1 || U_1 || (!C_1) || (!A_1) || (!B_1) || (!(1 <= O_1)) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (S_1 || T_1 || U_1 || (!C_1) || (!A_1) || (!B_1) || (1 <= O_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || S_1 || T_1 || U_1 || (!C_1) || (!B_1) || (!(K_1 == 0)) || ((!I_1) && (!H_1) && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || S_1 || T_1 || U_1 || (!C_1) || (!B_1) || (K_1 == 0) || ((!I_1) && (!H_1) && G_1 && F_1 && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!B_1) || (!(1 <= (K_1 + Q_1))) || ((!I_1) && (!H_1) && G_1 && (!F_1) && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || S_1 || T_1 || U_1 || (!A_1) || (!B_1) || (!(Q_1 == 0)) || ((!I_1) && (!H_1) && G_1 && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!B_1) || (1 <= (K_1 + Q_1)) || ((!I_1) && (!H_1) && G_1 && (!F_1) && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || S_1 || T_1 || U_1 || (!A_1) || (!B_1) || (Q_1 == 0) || ((!I_1) && (!H_1) && G_1 && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || T_1 || U_1 || (!S_1) || (!A_1) || (!(R_1 == 0)) || ((!I_1) && (!H_1) && (!G_1) && F_1 && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || U_1 || (!B_1) || (!(M_1 == 0)) || ((!I_1) && (!H_1) && (!G_1) && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || T_1 || (!U_1) || (!A_1) || (R_1 == 0) || ((!I_1) && (!H_1) && (!G_1) && F_1 && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || S_1 || T_1 || U_1 || (!B_1) || (M_1 == 0) || ((!I_1) && (!H_1) && (!G_1) && F_1 && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || T_1 || U_1 || (!S_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && E_1 && D_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && ((K_1 + (-1 * J_1)) == -1))) && (B_1 || T_1 || U_1 || (!S_1) || (!C_1) || (!A_1) || ((!I_1) && (!H_1) && G_1 && F_1 && E_1 && D_1 && (K_1 == J_1) && (O_1 == N_1) && (Q_1 == P_1) && ((M_1 + (-1 * L_1)) == -1))) && (T_1 || (!S_1) || (!U_1) || (!C_1) || (!A_1) || (!B_1) || (I_1 && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (Q_1 == P_1) && ((K_1 + M_1 + O_1 + (-1 * N_1) + Q_1) == 1))) && (A_1 || T_1 || U_1 || (!S_1) || (!C_1) || (!B_1) || ((!I_1) && (!H_1) && G_1 && F_1 && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (Q_1 == P_1) && ((K_1 + O_1 + (-1 * N_1) + Q_1) == 1))) && (S_1 || T_1 || (!U_1) || (!C_1) || (!A_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (Q_1 == P_1) && ((O_1 + (-1 * N_1)) == 1))) && (A_1 || S_1 || T_1 || (!U_1) || (!C_1) || (!B_1) || ((!I_1) && H_1 && G_1 && F_1 && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && ((M_1 + Q_1 + (-1 * P_1)) == 0))) && (S_1 || (!T_1) || (!U_1) || (!C_1) || (!A_1) || (!B_1) || (I_1 && H_1 && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || (!T_1) || (!U_1) || (!C_1) || (!A_1) || (I_1 && H_1 && G_1 && F_1 && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || S_1 || (!T_1) || (!U_1) || (!C_1) || (!B_1) || (I_1 && H_1 && G_1 && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || (!T_1) || (!U_1) || (!C_1) || (I_1 && H_1 && G_1 && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || (!T_1) || (!U_1) || (!A_1) || (I_1 && H_1 && (!G_1) && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || (!T_1) || (!U_1) || (I_1 && H_1 && (!G_1) && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || U_1 || (!T_1) || (!C_1) || (!A_1) || (I_1 && (!H_1) && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || U_1 || (!T_1) || (!C_1) || (I_1 && (!H_1) && G_1 && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || U_1 || (!T_1) || (!A_1) || (I_1 && (!H_1) && (!G_1) && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || U_1 || (!T_1) || (!S_1) || (I_1 && (!H_1) && (!G_1) && (!F_1) && (!E_1) && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || U_1 || (!T_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || T_1 || U_1 || (!S_1) || (!B_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || C_1 || T_1 || (!S_1) || (!U_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && E_1 && D_1 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || T_1 || U_1 || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || T_1 || (!U_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || T_1 || U_1 || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || T_1 || (!U_1) || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || T_1 || U_1 || (!S_1) || (!C_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || T_1 || U_1 || (!A_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || T_1 || U_1 || (!C_1) || (!A_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || S_1 || (!T_1) || (!U_1) || (!A_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || T_1 || (!S_1) || (!U_1) || (!A_1) || (!B_1) || ((!I_1) && (!H_1) && (!G_1) && (!F_1) && (!E_1) && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || ((!I_1) && H_1 && G_1 && (!F_1) && E_1 && D_1 && (J_1 == 0) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (T_1 || U_1 || (!S_1) || (!C_1) || (!A_1) || (!B_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && (!E_1) && D_1 && (J_1 == 0) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || (!A_1) || ((!I_1) && H_1 && G_1 && F_1 && E_1 && D_1 && (L_1 == 1) && (K_1 == J_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || S_1 || T_1 || (!U_1) || (!C_1) || (!A_1) || ((!I_1) && H_1 && G_1 && F_1 && E_1 && (!D_1) && (L_1 == 0) && (K_1 == J_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || T_1 || (!S_1) || (!U_1) || (!C_1) || (!B_1) || ((!I_1) && H_1 && G_1 && F_1 && (!E_1) && D_1 && (P_1 == 0) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1))) && (A_1 || B_1 || C_1 || T_1 || (!S_1) || (!U_1) || ((!I_1) && H_1 && (!G_1) && (!F_1) && E_1 && D_1 && (P_1 == 0) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1))) && (C_1 || S_1 || U_1 || (!T_1) || (!A_1) || (!B_1) || (0 <= Q_1) || (I_1 && H_1 && G_1 && F_1 && E_1 && (!D_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)))))
              abort ();
          state_0 = F_1;
          state_1 = E_1;
          state_2 = G_1;
          state_3 = H_1;
          state_4 = D_1;
          state_5 = I_1;
          state_6 = J_1;
          state_7 = L_1;
          state_8 = N_1;
          state_9 = P_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

